#!/bin/bash

BRANCH="$1"

# Exit immediately if a command fails
set -e
# Log every command
set -x

git status
git fetch
git checkout "$BRANCH"
git pull --ff-only
make build
docker stop musicube || true
docker run --rm --detach --name musicube musicube
